Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Start or stop a campaign.
POST /user/campaigns/update-status
start
stop
Campaign started successfully.
Show properties
in-progress
stopped
curl -X POST "https://portal.intellixent.ai/api/user/campaigns/update-status" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{"campaign_id": 1, "action": "start"}'
curl -X POST "https://portal.intellixent.ai/api/user/campaigns/update-status" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{"campaign_id": 1, "action": "stop"}'
const response = await fetch('https://portal.intellixent.ai/api/user/campaigns/update-status', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_API_KEY', 'Content-Type': 'application/json' }, body: JSON.stringify({ campaign_id: 1, action: 'start' }) }); const data = await response.json(); console.log(data.data.status); // "in-progress"
{ "message": "Campaign started successfully.", "success": true, "data": { "campaign_id": 1, "status": "in-progress" } }
{ "message": "Campaign stopped successfully.", "success": true, "data": { "campaign_id": 1, "status": "stopped" } }